Package org.apache.velocity.util.introspection

# Class UberspectImpl.VelSetterImpl

java.lang.Object
org.apache.velocity.util.introspection.UberspectImpl.VelSetterImpl

All Implemented Interfaces:
  `VelPropertySet`

Enclosing class:
  `UberspectImpl`

public static class UberspectImpl.VelSetterImpl extends Object implements VelPropertySet

## Constructor Summary

Constructors
Constructor
Description
`VelSetterImpl(SetExecutor setExecutor)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethodName()`
returns the method name used to set this 'property'
`Object`
`invoke(Object o, Object value)`
Invoke the found Set Executor.
`boolean`
`isCacheable()`
specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelSetterImpl

public VelSetterImpl(SetExecutor setExecutor)

Parameters:
  `setExecutor` -

## Method Details

### invoke

public Object invoke(Object o, Object value) throws IllegalAccessException, InvocationTargetException
Invoke the found Set Executor.

Specified by:
  `invoke` in interface `VelPropertySet`
Parameters:
  `o` - is the Object to invoke it on.
  `value` - in the Value to set.
Returns:
  The resulting Object.
Throws:
  `IllegalAccessException`
  `InvocationTargetException`

### isCacheable

public boolean isCacheable()
Description copied from interface: `VelPropertySet`
specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

Specified by:
  `isCacheable` in interface `VelPropertySet`
Returns:
  true if can be reused for this class, false if not
See Also:
  - `VelPropertySet.isCacheable()`

### getMethodName

public String getMethodName()
Description copied from interface: `VelPropertySet`
returns the method name used to set this 'property'

Specified by:
  `getMethodName` in interface `VelPropertySet`
Returns:
  The method name used to set this 'property'
See Also:
  - `VelPropertySet.getMethodName()`